#pragma once

#include "NWindowAdapter.h"
#include "ScriptletContainerFactory.h"

class CIECtrl;
class NPCOMMONUI_API CIECtrlAdapter : public CNWindowAdapter
{
public:
	DECLARE_COMPONENT_CREATOR(CIECtrlAdapter);
	CIECtrlAdapter();
	~CIECtrlAdapter();

	//override
	LPCTSTR GetClassName() { return SCRIPTLET_IECTRL_NODE; }
	HWND CreateExWindow( LPTSTR szClassName, DWORD dwStyle, HWND hWndParent, UINT uID, DWORD dwStyleEx );
	
	void Navigate(LPCTSTR url);

private:
	CIECtrl*	m_IECtrl;
};

class CIECtrl : public CWindowImpl<CIECtrl, CAxWindow>
{	
public:
	//DECLARE_WND_SUPERCLASS(_T("IECTRL"), CAxWindow::GetWndClassName())
	CIECtrl(void);
	virtual ~CIECtrl(void);

	//static LPCTSTR GetWindowClassName() { return _T("IECtrl"); }
	static HWND CreateIECtrl(HWND hWndParent, DWORD dwStyle, DWORD dwStyleEx, UINT uID);

	BOOL Create(HWND hWndParent, DWORD dwStyle, DWORD dwStyleEx, UINT uID);

	BEGIN_MSG_MAP(CIECtrl)
	END_MSG_MAP()
};
